Debian Bug report logs - #411123
aptitude: Wants to uninstall packages installed with apt-get in some cases

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Frans Pop <elendil@planet.nl>

Date: Fri, 16 Feb 2007 11:45:02 UTC

Severity: important

Tags: d-i

Found in version aptitude/0.4.4-1

Fixed in version aptitude/0.4.4-3

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#411123; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: Wants to uninstall packages installed with apt-get in some cases
Date: Fri, 16 Feb 2007 12:43:38 +0100
Package: aptitude
Version: 0.4.4-1
Severity: important

This BR is a result of an analysis of a problem reported after an
installation using Debian Installer (#410971).

Consider the following sequence of events, where foo and bar are
unrelated packages (no dependencies):
# apt-get install foo
# aptitude install bar
# aptitude

When the aptitude frontend is displayed and "g" is pressed, it will show
foo scheduled for removal. This is very, very not nice behavior.
It should be possible to use apt-get and aptitude interchangeably for
straightforward installation of packages.

Note that if the 'aptitude install bar' command is _not_ used, but
instead aptitude is used interactively to install bar, foo will not be
removed! So the problem seems to be with initial state calculation.

Because the installer uses apt-get to install single packages, this
results in the behavior described in #410971.

This BR may be a duplicate of #299009, but I'm not entirely sure.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.3-6-3 0.6.46.4     Advanced front-end for dpkg
ii  libc6                       2.3.6.ds1-11 GNU C Library: Shared libraries
ii  libgcc1                     1:4.1.1-21   GCC support library
ii  libncursesw5                5.5-5        Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a          2.0.17-2     type-safe Signal Framework for C++
ii  libstdc++6                  4.1.1-21     The GNU Standard C++ Library v3

Versions of packages aptitude recommends:
pn  aptitude-doc-en | aptitude-do <none>     (no description available)

-- no debconf information



Tags added: d-i Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: d-i Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#411123; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #14 received at 411123@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Frans Pop <elendil@planet.nl>, 411123@bugs.debian.org
Subject: Re: Bug#411123: aptitude: Wants to uninstall packages installed with apt-get in some cases
Date: Sat, 10 Mar 2007 09:17:08 -0800
  Thanks for the precise report.  This is an unintended side-effect of
the code that suppresses scheduled actions when aptitude is run from the
command-line, and will be straightforward to fix.

  Daniel



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#411123; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #19 received at 411123@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Frans Pop <elendil@planet.nl>, 411123@bugs.debian.org
Subject: Re: Bug#411123: aptitude: Wants to uninstall packages installed with apt-get in some cases
Date: Sat, 10 Mar 2007 10:42:07 -0800
  OK, this is fixed in darcs head.

  Daniel



Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 411123-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 411123-close@bugs.debian.org
Subject: Bug#411123: fixed in aptitude 0.4.4-3
Date: Sun, 11 Mar 2007 18:47:03 +0000
Source: aptitude
Source-Version: 0.4.4-3

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-doc-cs_0.4.4-3_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.4-3_all.deb
aptitude-doc-en_0.4.4-3_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.4-3_all.deb
aptitude-doc-fi_0.4.4-3_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.4-3_all.deb
aptitude-doc-fr_0.4.4-3_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.4-3_all.deb
aptitude_0.4.4-3.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.4-3.diff.gz
aptitude_0.4.4-3.dsc
  to pool/main/a/aptitude/aptitude_0.4.4-3.dsc
aptitude_0.4.4-3_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.4-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 411123@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 11 Mar 2007 09:14:40 -0700
Source: aptitude
Binary: aptitude-doc-cs aptitude-doc-fr aptitude-doc-fi aptitude-doc-en aptitude
Architecture: source all i386
Version: 0.4.4-3
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based apt frontend
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based apt frontend
 aptitude-doc-en - English manual for aptitude, a terminal-based apt frontend
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based apt frontend
 aptitude-doc-fr - French manual for aptitude, a terminal-based apt frontend
Closes: 411123 413698
Changes: 
 aptitude (0.4.4-3) unstable; urgency=low
 .
   * Recompile to get translations back on i386. (Closes: #413698)
 .
   * Fix a nasty problem that could cause aptitude to want to remove
     packages installed using apt-get or dpkg. (Closes: #411123)
 .
     This is triggered by the installer, so probably this update
     should get into etch if possible.
 .
   * Fix a bug in an internal "sprintf" variant that would include random
     characters in the output string sometimes (by reading from an
     allocated but uninitialized buffer).
 .
   * French documentation update.
Files: 
 59cc409166b9c317d8d3b5b80ecd37b1 803 admin - aptitude_0.4.4-3.dsc
 91160a2f7ce669df5879be8d0c375564 319192 admin - aptitude_0.4.4-3.diff.gz
 397bbebe603a322d8fc84bfd1bdcfe11 340010 doc optional aptitude-doc-cs_0.4.4-3_all.deb
 b320f206f229cd1a00c47f9f74df7ddc 325416 doc optional aptitude-doc-en_0.4.4-3_all.deb
 36748566a7e382db7b9ba94cb93dafd5 257422 doc optional aptitude-doc-fi_0.4.4-3_all.deb
 9a60ca50c55a1b5a6f7947895999fd37 270368 doc optional aptitude-doc-fr_0.4.4-3_all.deb
 d9d5fbba2e035f8a252cdf33f0417bc5 2872904 admin important aptitude_0.4.4-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF9Ewpch6xsM7kSXgRAlHwAKDadVsCmUo5nTtTdAxPKIhM5KGjjQCfd7t7
z/U7jfGhkGHfVbR8xFl5krs=
=Pmq9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:15:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:25:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.